Blackfire Python
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Blackfire Python action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Profile Python Application",
"type": "BLACKFIRE_PYTHON",
"trigger_time": "ON_EVERY_EXECUTION",
"version": "1.8.2",
"shell": "BASH",
"setup_commands": [
"pip install blackfire"
],
"execute_commands": [
"blackfire run python manage.py test",
"blackfire curl https://staging.example.com/api/products"
],
"execute_every_command": true,
"variables": [
{
"key": "BLACKFIRE_SERVER_ID",
"value": "$BLACKFIRE_SERVER_ID",
"encrypted": true
},
{
"key": "BLACKFIRE_SERVER_TOKEN",
"value": "$BLACKFIRE_SERVER_TOKEN",
"encrypted": true
}
]
}'STATUS200 OK